/*
  * 手太欠
  * 愿这世界都如故事里一样 美好而动人~
*/

import { req } from "../request"
// 登录
const Login = data => req({
    url: "user/auth/login",
    method: "POST",
    data: data
})

// 注册
const register = data => req({
    url: "user/auth/register",
    method: "POST",
    data: data
})

// 获取验证码
const getSms = data => req({
    url: "user/auth/verify",
    method: "POST",
    data: data
})

// 找回密码
const resetPassword = data => req({
    url		: "user/auth/reset_password",
    method	: "POST",
    data
})

/**
 * 隐私协议
 */
const richText = id => req({
    url: "cms/pages/" + id
})

export default ({
    Login,
    register,
    getSms,
    resetPassword,
    richText
})